<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbServiceHostingTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_service__hosting', function(Blueprint $table)
		{
			$table->foreign('host_server_id', 'fk_sh_hs')->references('id')->on('ab_host_server')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('domain_tld_id', 'fk_sh_ht')->references('id')->on('ab_domain_tld')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('service_id', 'fk_sh_svc')->references('id')->on('ab_service')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_service__hosting', function(Blueprint $table)
		{
			$table->dropForeign('fk_sh_hs');
			$table->dropForeign('fk_sh_ht');
			$table->dropForeign('fk_sh_svc');
		});
	}

}
